# OpenLayers.Control.GetFeature

Gets vector features for locations underneath the mouse cursor. Can be configured to act on click, hover or dragged boxes. Uses an OpenLayers.Protocol that supports spatial filters to retrieve features from a server and fires events that notify applications of the selected features.

#### Inherits from

- OpenLayers.Control

Summary

OpenLayers.Control.GetFeature | Gets vector features for locations underneath the mouse cursor.
Properties |
protocol | {OpenLayers.Protocol} Required.
multipleKey | {String} An event modifier (‘altKey’ or ‘shiftKey’) that temporarily sets the multiple property to true.
toggleKey | {String} An event modifier (‘altKey’ or ‘shiftKey’) that temporarily sets the toggle property to true.
multiple | {Boolean} Allow selection of multiple geometries.
click | {Boolean} Use a click handler for selecting/unselecting features.
single | {Boolean} Tells whether select by click should select a single feature.
clickout | {Boolean} Unselect features when clicking outside any feature.
toggle | {Boolean} Unselect a selected feature on click.
clickTolerance | {Integer} Tolerance for the filter query in pixels.
hover | {Boolean} Send feature requests on mouse moves.
box | {Boolean} Allow feature selection by drawing a box.
maxFeatures | {Integer} Maximum number of features to return from a query in single mode if supported by the protocol.
handlerOptions | {Object} Additional options for the handlers used by this control.
Constants |
EVENT_TYPES |
Constructor |
OpenLayers.Control.GetFeature | Create a new control for fetching remote features.

### Properties

### protocol

{OpenLayers.Protocol} Required. The protocol used for fetching features.

### multipleKey

{String} An event modifier (‘altKey’ or ‘shiftKey’) that temporarily sets the multiple property to true. Default is null.

### toggleKey

{String} An event modifier (‘altKey’ or ‘shiftKey’) that temporarily sets the toggle property to true. Default is null.

### multiple

{Boolean} Allow selection of multiple geometries. Default is false.

### click

{Boolean} Use a click handler for selecting/unselecting features. If both click and box are set to true, the click handler takes precedence over the box handler if a box with zero extent was selected. Default is true.

### single

{Boolean} Tells whether select by click should select a single feature. If set to false, all matching features are selected. If set to true, only the best matching feature is selected. This option has an effect only of the click option is set to true. Default is true.

### clickout

{Boolean} Unselect features when clicking outside any feature. Applies only if click is true. Default is true.

### toggle

{Boolean} Unselect a selected feature on click. Applies only if click is true. Default is false.

### clickTolerance

{Integer} Tolerance for the filter query in pixels. This has the same effect as the tolerance parameter on WMS GetFeatureInfo requests. Will be ignored for box selections. Applies only if click or hover is true. Default is 5. Note that this not only affects requests on click, but also on hover.

### hover

{Boolean} Send feature requests on mouse moves. Default is false.

### box

{Boolean} Allow feature selection by drawing a box. If set to true set click to false to disable the click handler and rely on the box handler only, even for “zero extent” boxes. See the description of the click option for additional information. Default is false.

### maxFeatures

{Integer} Maximum number of features to return from a query in single mode if supported by the protocol. This set of features is then used to determine the best match client-side. Default is 10.

### handlerOptions

{Object} Additional options for the handlers used by this control. This is a hash with the keys “click”, “box” and “hover”.

### Constants

### EVENT_TYPES

#### Supported event types

beforefeatureselected | Triggered when click is true before a feature is selected. The event object has a feature property with the feature about to select
featureselected | Triggered when click is true and a feature is selected. The event object has a feature property with the selected feature
beforefeaturesselected | Triggered when click is true before a set of features is selected. The event object is an array of feature properties with the features about to be selected. Return false after receiving this event to discontinue processing of all featureselected events and the featuresselected event.
featuresselected | Triggered when click is true and a set of features is selected. The event object is an array of feature properties of the selected features
featureunselected | Triggered when click is true and a feature is unselected. The event object has a feature property with the unselected feature
clickout | Triggered when when click is true and no feature was selected.
hoverfeature | Triggered when hover is true and the mouse has stopped over a feature
outfeature | Triggered when hover is true and the mouse moves moved away from a hover-selected feature

### Constructor

### OpenLayers.Control.GetFeature

Create a new control for fetching remote features.

#### Parameters

options | {Object} A configuration object which at least has to contain a protocol property (if not, it has to be set before a request is made)

Abstract vector layer protocol class.
{Boolean} Allow selection of multiple geometries.
{Boolean} Unselect a selected feature on click.
{OpenLayers.Protocol} Required.
Controls affect the display or behavior of the map.
{Boolean} Use a click handler for selecting/unselecting features.
{Boolean} Allow feature selection by drawing a box.
{Boolean} Send feature requests on mouse moves.
Close